Subject: Re: [PATCH net-next v12 00/15] Introducing P4TC (series 1)

From: Jakub Kicinski <[email-masked]>
Date: Mon, 4 Mar 2024 12:07:47 -0800

On Sun, 3 Mar 2024 08:31:11 -0800 Tom Herbert wrote:
> Even before considering hardware offload, I think this approach
> addresses a more fundamental problem to make the kernel programmable.

I like some aspects of what you're describing, but my understanding
is that it'd be a noticeable shift in direction.
I'm not sure if merging P4TC is the most effective way of taking
a first step in that direction. (I mean that in the literal sense
of lack of confidence, not polite way to indicate holding a conviction
to the contrary.)